% ClusterTools (<a href="http://37steps.com/clustertools">ClusterTools Guide</a>)
% Version 1.1.3 24-Jan-2018
%
% ClusterTools is based on <a href="http://37steps.com/prtools">PRTools</a>. 
% Many routines may fail if that toolbox in not in the path.
%
%Clustering in feature space
%---------------------------
%cluste             - Examplar clustering
%clustf             - Clustering by farthest first traversal algorithm
%clusth             - Hierarchical clustering in feature space
%clustk             - Feature space clustering by K prototype procedures
%clustm             - Multi-level clustering by kNN mode-seeking
%clustr             - Random clustering
%clusts             - Mean shift mode-seeking clustering
%labnn              - Find indices of k nearest neighbors
%exemplar           - Back-end Exemplar clustering
%modeclust          - Back-end kNN mode-seeking clustering
%modeclustf         - Back-end Fast kNN mode-seeking clustering
%
%Clustering on dissimilarity matrices
%------------------------------------
%dcluste            - Examplar clustering on given dissimilarities
%dclustf            - Clustering by farthest first traversal algorithm
%dclusth            - Hierarchical clustering on given dissimilarities
%dclustk            - k-centres or k-medoids on given dissimilarities
%dclustm            - kNN mode-seeking on given dissimilarities
%dclustr            - Random clustering
%
%Reclustering of multilevel clusterings
%--------------------------------------
%recluste           - Extend multi-level clustering
%reclusth           - Hierarchical reclustering
%reclustk           - Determining exactly K clusters
%reclustn           - Creating a nested set of clusterings
%
%Classifiers
%-----------
%semisupc           - Semi-supervised classifier
%clustc             - Semi-supervised classifier by confidence propagation
%clusthc            - Hierarchical clustering based classifier
%nnprotoc           - Nearest neighbor classifier using cluster prototypes
%
%Cluster Evaluation
%------------------
%clusteval          - Evaluate clusterings by various performance measures
%actleval           - Evaluate clustering by active learning performance
%clustcerr          - Cluster classification error on indiviual clusterings
%clustlcurve        - Compute learning from multilevel clustering
%mclustlcurve       - Compute learning from multiclustering classification
%mclustcerr         - Cluster classification error combining clusterings
%
%Various
%-------
%clust2proto        - Find prototypes from clustering
%dclust2proto       - Find prototypes from clustering of dissimilarities
%clustnum           - Number of clusters in multilevel clustering
%clustsizes         - Cluster sizes and prototypes in multilevel clustering
%clustinds          - Find cluster indices fast
%gendatclust1       - Generate a 10-class 2D dataset
%gendatclust2       - Generate an 8-class 2D dataset
%gendset            - Generate data from a clustering based Parzen density
%eadist             - Create evidence accumulation dissimilarity matrix
%labsort            - Sort label array of a multiclustering
%dselproto          - Select prototypes from dissimilarity matrix
%selproto           - Select prototypes from dataset (PRTools)
%scatn              - simple scatter plot
%
%--- <a href="http://37steps.com/clustertools/clustertools-examples/">ClusterTools Examples</a> ---
%--- <a href="http://37steps.com/clustertools">ClusterTools Guide</a> ---

% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com