%CLUSTNUM Numbers of clusters in multilevel clustering
%
%   N = CLUSTNUM(LABELS)
%   N = LABELS*CLUSTNUM
%
% LABELS [M,L] is an array of indices for L levels of clustering.
% In N a vector of length L is returned with the numbers of unique values
% in the columns of the array LABELS. 
%
% SEE ALSO (<a href="http://37steps.com/clustertools">ClusterTools Guide</a>)
% MAPPINGS, CLUSTE, CLUSTF, CLUSTH, CLUSTK, CLUSTKH, CLUSTM, EXEMPLAR, 
% MEANSHIFT, MODECLUST, MODECLUSTF, DCLUSTE, DCLUSTM, DCLUSTH, DCLUSTK, 
% CLUSTSIZES

% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com

function out = clustnum(varargin)


labels = setdefaults(varargin);
if mapping_task(varargin,'definition')
  
  out = prmapping(mfilename,'fixed');
  out = setname(out,'ClusterSizes');
  
else
  
  k = size(labels,2);
  n = zeros(1,k);
  for j=1:k
    n(j) = numel(unique(labels(:,j)));
  end
  
  if nargout > 0
    out = n;
  else
    disp(n);
  end
  
end