%COLSEL
%
%   B = COLSEL(A,C)
%
% INPUT
%   A    2D Array
%   C    Vector of column indices
%
% OUTPUT
%   B    Output column vector
%
% DESCRIPTION
% B(i) = A(i,C(i)), i=1:size(A,1)

function out = colsel(a,J)

[m,k] = size(a);
if numel(J) ~= m
  error('Column vector has wrong size')
end
out = a(sub2ind([m,k],[1:m]',J(:)));