%GENDATCLUST2 Generate data for 8-cluster analysis evaluation 
%
%   A = GENDATCLUST2(N)
%
% Generate N objects in a 2D 8-class problem

function a = gendatclust2(n)

if nargin < 1 || isempty(n)
  n = 1000;
end
if isscalar(n)
  n = genclass(n,ones(1,8)./8);
end

a = prdataset(rand(n(1),2).*repmat([8,0.5],n(1),1))+repmat([1 -1],n(1),1);
a = [a; prdataset(rand(n(2),2).*repmat([8,0.5],n(2),1)+repmat([1.5 0.5],n(2),1))];
x = +gendats([n(3) n(4)],2,4).*repmat([1,1],n(3)+n(4),1)+repmat([3 5],n(3)+n(4),1);
a = [a; x];
y = +[gendatc(n(5)); gendatc(n(6))+repmat([0 10],n(6),1)];
y = y.*repmat([0.2,0.35],n(5)+n(6),1)+repmat([-1.5 1.5],n(5)+n(6),1);
a = [a; y];
z = prdataset(+[gencirc(n(7),0.05)*6; gencirc(n(8),0.04)*2.5]);
z = z.*repmat([0.5,0.5],n(7)+n(8),1)+repmat([16 3],n(7)+n(8),1);
a = [a; z];
a = prdataset(a,genlab(n,[1:8]'));
a = setname(a,'Cluster example 2');