%INTGEOS Generate geomtric series
%
%   S = INTGEOS(N,RATIO,MAXN)
%
% INPUT
%   N       Start integer
%   RATIO   Ration
%   MAXN    Maximum number   
%
% OUTPUT
%   S       Row vector with series of integers
%
% DESCRIPTION
% A series of integers is generated based on a geometric series with
% start value N and ratio RATIO. The series stops just before MAXN is 
% exceeded. The unique version of the rounded (using CEIL) results is
% returned.

% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com

function s = intgeos(n,ratio,maxn)

  k = ceil(log(maxn/n)/log(ratio));
  s = unique(ceil(n*ratio.^(0:k-1)));
  
return